from migen import *

from litex.gen import LiteXModule, ClockDomain, ClockSignal

from litex.soc.cores.cpu import vexriscv
from litex.soc.integration.soc_core import SoCCore
from litex.soc.integration.builder import Builder

from litedram.modules import M12L64322A
from liteeth.phy.ecp5rgmii import LiteEthPHYRGMII




class GroovySoC(SoCCore):
    def __init__(self, platform, sys_clk_freq, **kwargs):
        SoCCore.__init__(self, platform, sys_clk_freq, ident="LiteX SoC for GroovyLight", **kwargs)

        self.crg = platform.get_crg(sys_clk_freq)
        self.submodules += self.crg

